﻿@{
    ViewData["Title"] = "Home Page";
}

Date: @DateTime.Now

<form asp-action="TestAjaxForm"
    data-ajax="true" data-ajax-method="post"
    data-ajax-mode="replace" data-ajax-update="#box">
    <label>Text to send to server:</label>
    <input type="text" name="Text" />
    <input type="submit" value="Send" />
</form>
<div id="box">Original text</div>
<br />

<a asp-action ="TestAjaxLink"
             data-ajax="true" data-ajax-method="get"
             data-ajax-mode="replace" data-ajax-update="#target"
             data-ajax-loading="#wait">Click Me</a>

<div id="target"></div>
<div id="wait" style="display:none">
    <img src="c:\users\tiago fernandes\desktop\tiago\universidade\universidade\3_ano\web\aula11\images\jayson-tatum-boston-celtics.gif" />
</div>

Date: @DateTime.Now
